#ifndef __WinDefs_h__
#define __WinDefs_h__

#ifdef _WIN32
#include <windows.h>
#include <windowsx.h>
#else
#include "../publicKeyAlgs/Power/Windefs.h"
#define HANDLE (FILE *) // fopen and fread...
#endif // _WIN32

#ifndef maxLen
#define maxLen( buff ) ( sizeof( buff ) / sizeof( *buff ) )
#endif

#define sizeInBytes( buff ) sizeof( buff )

#ifndef sizeofBefore
#define sizeofBefore( structname, member ) \
	((int)((char*)(&((structname*)0)->member) - ((char*)((structname*)0))))
#endif

template < class T > bool checkZero( T *t )
{
	int q = sizeof( T );
	unsigned char *p = (unsigned char*)t;

	while( q-- )
	{
		if ( p[q] != 0 )
			return false;
	}

	return true;
};

#endif // __WinDefs_h__

