/*******************************************************************
 *
 *	Copyright (c) 1994-2005 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	File: sha1random.h
 *	Revision: 
 *	Created:
 *	Description: declaration of random generator based on SHA-256
 *		Secure Hash Algorithm 
 *
 *******************************************************************/

#ifndef __SHA256RANDOM_H__
#define __SHA256RANDOM_H__

#include <stddef.h>
#include "../hashAlgs/SHA256/sha256.h"

//-------------------------------------------------------------
// SHA256RandomGenerate high level generation function...
//	return NO_ERROR (0) if successful
//-------------------------------------------------------------

extern int SHA256RandomGenerate(byte *byteBuffer, size_t byteBufferSize, byte *seedBuffer, size_t seedBufferSize );

#endif /* __SHA256RANDOM_H__ */
