#ifndef __HFS_VOLUME_H__
#define __HFS_VOLUME_H__

typedef struct hfs_volume {
    int         fd;			// volume file descriptor
    int         offset;			// volume start offset
    unsigned    blockSize;		// allocation block size
    const char  *type;			// fs type
    HFSPlusVolumeHeader head;		//
} hfs_volume_t;


#endif // __HFS_VOLUME_H__
