/*
 * Copyright (c) 2010 Jetico, Inc., Finland
 * All rights reserved.
 */

#ifndef BC_KERNEL_DEFS_H
#define BC_KERNEL_DEFS_H

#ifdef BC_DEBUG
#define BC_DEBUG_LOG(msg, args...) printk(KERN_INFO "bestcrypt: " msg, ## args)
#else
#define BC_DEBUG_LOG(msg, args...) 
#endif

#define BC_KERN_ERROR(msg, args...) printk(KERN_ERR "bestcrypt: " msg, ## args);

#define BC_BASE_DEVICE_NAME "bcrypt"

#endif

