#include "aboutdialog.h"
#include "ui_aboutdialog.h"
#include "src/version.h"
#include "model/helper.h"

AboutDialog::AboutDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AboutDialog)
{
    ui->setupUi(this);
    connect(this->ui->closeButton, SIGNAL(clicked()), this, SLOT(close()));
    this->ui->versionLabel->setText(QString("Version %0.%1.%2").arg(VERSION_MAJOR).arg(VERSION_MINOR).arg(VERSION_PATCH));
    BCHelperFixSize(this);
}

AboutDialog::~AboutDialog()
{
    delete ui;
}
