#ifndef FILESYSTEMWIDGET_H
#define FILESYSTEMWIDGET_H

#include <QWidget>

namespace Ui {
class FileSystemWidget;
}

class FileSystemWidget : public QWidget
{
    Q_OBJECT
    
public:
    explicit FileSystemWidget(QWidget *parent = 0);
    ~FileSystemWidget();

    QString GetFileSystem();
    void ReloadFilesystems(bool isNoFSVisible);

private:
    Ui::FileSystemWidget *ui;

    QMap<QString, QString> *fileSystems;

    void PrepareFileSystems();
};

#endif // FILESYSTEMWIDGET_H
