#ifndef HOTKEYDIALOG_H
#define HOTKEYDIALOG_H

#include "entity/hotkey.h"

#include <QDialog>
#include <QList>

class QLabel;

namespace Ui {
class HotKeyDialog;
}

class HotKeyDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit HotKeyDialog(QWidget *parent = 0);
    ~HotKeyDialog();

    void SetHotkey(const BCHotkey& hotkey);

    BCHotkey GetHotkey();

private:
    void keyPressEvent(QKeyEvent *e);

private:
    BCHotkey*            hotkey_;
    Ui::HotKeyDialog    *ui;
    QLabel              *keyLabel_;
};

#endif // HOTKEYDIALOG_H
