#ifndef RAWLINKDIALOG_H
#define RAWLINKDIALOG_H

#include <QDialog>

#include "selectcipherwidget.h"

typedef struct _RawLinkParameters
{
    QString     file;
    QString     algName;
    bc_alg_id   algId;
    QString     modeName;
} RawLinkParameters;

namespace Ui {
class RawLinkDialog;
}

class RawLinkDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit RawLinkDialog(QWidget *parent = 0);
    ~RawLinkDialog();

    void SetParameters(RawLinkParameters *p);
    
private slots:
    void AcceptSlot();
    void RejectSlot();

private:
    Ui::RawLinkDialog *ui;
    RawLinkParameters *parameters;
};

#endif // RAWLINKDIALOG_H
