#ifndef _cCompressAlg_H_
#define _cCompressAlg_H_

#include "../crtLibErrs.h"
#include <assert.h>

#ifndef BYTE
typedef unsigned char BYTE;
#endif

class cCompressAlg
{
public:
	static cCompressAlg * createAlg();

#ifdef _WIN32
#pragma warning( disable : 4100 )
#endif
	virtual int compress( BYTE *bfOut, int *pBfOutSize, const BYTE *bfIn, int bfInSize )
		{ return cae_internalError; }
	virtual int uncompress( BYTE *bfOut, int *pBfOutSize, const BYTE *bfIn, int bfInSize )
		{ return cae_internalError; }
	virtual ~cCompressAlg()
		{ return; }
#ifdef _WIN32
#pragma warning( default : 4100 )
#endif
};

#endif /* _cCompressAlg_H_ */


