#ifndef __MD5_H__
#define __MD5_H__

#ifndef BYTE
typedef unsigned char BYTE;
#endif

#define MD5_DIGEST_SIZE  16

enum {
	MD5_OK = 0,
	MD5_ERROR_INTERNAL_ERROR,
	MD5_MALLOC_ERROR
};

struct MD5Context;

int MD5Allocate( MD5Context **ctx );

int MD5Init( MD5Context *ctx );

int MD5Process( MD5Context *ctx, const BYTE *data, int length );

int MD5Update( MD5Context *ctx, BYTE *data );

int MD5Final( MD5Context *ctx, BYTE *digest );

int MD5Free( MD5Context **ctx );

int MD5MakeDigest( const BYTE *message, int messageLength, BYTE *digest );

#endif // __MD5_H__
