/*******************************************************************
 *
 *      Copyright (c) 2015 Jetico, Inc., Finland
 *      All rights reserved.
 *
 *      File: Skein512.h
 *      Revision:
 *      Created:
 *      Description: declaration of test Skein_512 Secure Hash Algorithm
 *                   external procedures
 *
 *******************************************************************/
#pragma once

#define Skein512_DIGEST_SIZE ( 512 / 8 )

int Skein512_AutoTest();

int Skein512_Init(void *ctx);

int Skein512_Process(void *ctx, const unsigned char *data, unsigned int length);

int Skein512_Final(void *ctx, unsigned char *digest);

int Skein512_Allocate(void **ctx);

int Skein512_Free(void **ctx);

int Skein512_MakeDigest( const unsigned char *message, unsigned int  messageLength, unsigned char *digest );

