#ifndef __cHahsMD5__
#define __cHashMD5__

#include "MD5/md5.h"

class cHashMD5: public cHashAlg
{
	MD5Context *context;

public:
	static cHashAlg * createAlg()
	{
		return new cHashMD5;
	}
	
	cHashMD5()
	{
		MD5Allocate( &context );
		MD5Init( context );
	}

	~cHashMD5()
	{
		MD5Free( &context );
	}

	int Init	( )								{ return MD5Init( context ); }
	int Process	( const BYTE *data, int length ){ return MD5Process( context, data, length); }
	int Final	( BYTE *digest )				{ return MD5Final( context, digest); }
	int getDigestSize()							{ return MD5_DIGEST_SIZE;	}
};

#endif // __cHashMD5__

