/**************************************************************************\
*
* Progress actor block
*
* Intended for 
* 1) Show progress information 
* 2) Check continue is required,
*
* Usage:
*	1. func( "Generates prime table\n", 0, tableSize );
*	2. func( "Finds prime P\n", 0, 0 );
*		func( NULL, res, probCount );  probCount == -1 so n is not prime by prime table.
*		...
*	3. func( "Finds prime Q\n", 0, 0 );
*		func( NULL, res, probCount );  probCount == -1 so n is not prime by prime table.
*		...
* Return 0 to be continued or err number 
*
\**************************************************************************/

#ifndef _cProgressActor
#define _cProgressActor

class cProgressActor
{
public:

	bool m_bCancelled;

	cProgressActor()
	{
		m_bCancelled = false;
	}

	virtual ~cProgressActor() {}
#ifdef _WIN32
#pragma warning( disable : 4100 )
#endif
	virtual int func( const char *name, int value0, int value1  ) { return 0; };
#ifdef _WIN32
#pragma warning( default : 4100 )
#endif
};

#endif /*_cProgressActor */
