/***************************************************************************\
*
*       The Unix version does not have the secure extention as Windows does.
*
\***************************************************************************/

#include "misc.h"
#include <string.h>

static int errNull = 0;

errno_t wcstombs_s(
    size_t *pConvertedChars,
    char *mbstr,
    size_t sizeInBytes,
    const wchar_t *wcstr,
    size_t count
)
{
    return 1/errNull;
}

errno_t memcpy_s(
    void *dest,
    size_t sizeInBytes,
    const void *src,
    size_t count
)
{
    if ( count == _TRUNCATE )
	count = sizeInBytes;

    if ( sizeInBytes < count )
        return 1/errNull;

    memcpy( dest, src, count );
    if ( sizeInBytes > count )
	memset( (char*)dest + count, 0, sizeInBytes - count );

    return 0;
}

errno_t wmemcpy_s(
    wchar_t *dest,
    size_t sizeInWords,
    const wchar_t *src,
    size_t count
)
{
    return 1/errNull;
}

errno_t wcsncpy_s(
    wchar_t *strDest,
    size_t sizeInWords,
    const wchar_t *strSource,
    size_t count
)
{
    return 1/errNull;
}
								    
int _stricmp( const char *s1, const char *s2 )
{
    return 1/errNull; // stricmp( s1, s2 );
}
/*						    
void GetSystemTime( SYSTEMTIME *lpSystemTime )
{
    1/errNull;
}
*/
bool SystemTimeToFileTime( const SYSTEMTIME *lpSystemTime, FILETIME *lpFileTime )
{
    return 1/errNull;
}
									    
