/***************************************************************************\
*
*	The Unix version does not have the secure extention as Windows does.
x version does not have the secure extention as Windows does.
*
\***************************************************************************/

#ifndef _MISC_H_
#define _MISC_H_

#define errno_t int
#define _TRUNCATE ((unsigned int)(-1))

// typedef unsigned int UINT;

#include <string.h>

errno_t wcstombs_s(
        size_t *pConvertedChars,
        char *mbstr,
        size_t sizeInBytes,
        const wchar_t *wcstr,
        size_t count
);

errno_t memcpy_s(
   void *dest,
   size_t sizeInBytes,
   const void *src,
   size_t count
);

template <size_t size>
errno_t strncpy_s(char (&strDest)[size], const char *strSource, size_t count){
	return memcpy_s(strDest, size, strSource, count);
}

errno_t wmemcpy_s(
   wchar_t *dest,
   size_t sizeInWords,
   const wchar_t *src,
   size_t count
);

errno_t wcsncpy_s(
   wchar_t *strDest,
   size_t sizeInWords,
   const wchar_t *strSource,
   size_t count
);

int _stricmp( const char *s1, const char *s2 );

#define MessageBoxA( hWnd, text, caption, mbID ) fprintf( stderr, "%s: %s\r\n", caption, text )

#define SYSTEMTIME void
#define FILETIME void

//void GetSystemTime( SYSTEMTIME *lpSystemTime );
bool SystemTimeToFileTime( const SYSTEMTIME *lpSystemTime, FILETIME *lpFileTime );

#endif /* _MISC_H_ */
