/////////////////////////////////////////////////////////////////
//
//	Copyright (c) 1994-2002 Jetico, Inc., Finland
//	All rights reserved.
//
//	File: oidStrings.h
//	Revision: 
//	Created:
//	Description:
//
/////////////////////////////////////////////////////////////////

#ifndef __oidStrings__
#define __oidStrings__

//struct tUnit;

struct tUnit
{
	tUnit *uT;	// Sub unit table.
	int  uQ;			// Unit quantity.
	char *oid;			// Oid string
	char *name;			// Oid name
	char *desc;			// Description.

	//
	//	Algorithm specific attributes.
	//
	unsigned char hAlg;	// Hash alg id 
	unsigned char sAlg;	// Symmetric alg id
	unsigned char pAlg;	// Public key alg id
	unsigned char mode;	// Mode of symmetric alg
};

//
//	Main OID table
//
extern tUnit OID_T[];
extern int OID_Q;

#endif // __oidStrings__