/*
 *  Copyright 2010 Jetico, Inc. All rights reserved.
 *
 */

#include "mode.h"

extern bc_mode cbc_exports;
extern bc_mode lrw_exports;
extern bc_mode xts_exports;
// add new here.

static const bc_mode* modes[] = 
{
	&cbc_exports,
	&lrw_exports,
	&xts_exports,
	// add new here
};

#define TOTAL_MODES (sizeof(modes) / sizeof(*modes));

const bc_mode* bc_lookup_mode(unsigned tag)
{
	if (tag >= kBCMode_Total) {
		return NULL;
	} else {
		return modes[tag];
	}
}
