/*
 * Copyright 2010 Jetico, Inc. All rights reserved.
 *
 * This file is included in algorithm plugins build to supply windows-like definitions.
 */

#ifndef BC_CRYPTO_WINTYPES_H
#define BC_CRYPTO_WINTYPES_H

typedef	void		VOID;
typedef	int		BOOL;
typedef unsigned char	BYTE;
typedef char*		PBYTE;
typedef unsigned char	UCHAR;
typedef unsigned char*	PUCHAR;
typedef unsigned short	WORD;
typedef unsigned short*	PWORD;
typedef unsigned short	USHORT;
typedef unsigned short*	PUSHORT;
typedef unsigned int	DWORD;
typedef unsigned int*	PDWORD;
typedef unsigned long long int	DWORDLONG;
typedef unsigned long long int*	PDWORDLONG;

#define TRUE 1
#define FALSE 0

#define LOBYTE(x) ((x) & 0xFF)
#define HIBYTE(x) (((x)>>8) & 0xFF)
#define LOWORD(x) ((x) & 0xFFFF)
#define HIWORD(x) (((x)>>16) & 0xFFFF)
#define MAKEWORD(x, y) ((((y)<<8) & 0xFF00) |((x)&0xFF))

#endif // BC_CRYPTO_WINTYPES_H