#-------------------------------------------------
#
# Project created by QtCreator 2012-01-18T13:48:40
#
#-------------------------------------------------

QT              += core gui
DEFINES         += BC_LINUX BC_LINUX_GUI \
                    _LARGE_FILES _LARGEFILE_SOURCE \
                    _LARGEFILE64_SOURCE _FILE_OFFSET_BITS=64

TARGET          = bestcrypt-panel
TEMPLATE        = app
INCLUDEPATH     += ./widget \
                   ../../ \
                   ../../certificate/

LIBS            += -ludev \
                -lkgsha -lkgghost -lbckernel -lcertificate -lX11 -lfslib \
                -L../../certificate/CertificateLib \
                -L../../keygens/kgsha/ \
                -L../../keygens/kgghost/ \
                -L../../kernel/build/ \
                -L../../fslib/

SOURCES         += main.cpp\
                mainwindow.cpp \
                model/containermodel.cpp \
                model/bcoperation.cpp \
                ../../container/linux/file.cpp \
                containerinfowidget.cpp \
                maintoolbarwidget.cpp \
                containertreewidget.cpp \
                container/user.cc \
                passworddialog.cpp \
                ../../container/volume.cc \
                ../../container/isaac.c \
                ../../container/container.cc \
                ../../container/cipher.cc \
                ../../disk/disk.cc \
                entity/settings.cpp \
                containerview.cpp \
                createdialog.cpp \
                entity/containerdescriptor.cpp \
                settingsdialog.cpp \
                hotkeydialog.cpp \
                entity/hotkey.cpp \
                model/hotkeylistener.cpp \
                trayiconmanager.cpp \
                bcapplication.cpp \
                aboutdialog.cpp \
                model/devicemonitor.cpp \
                ../../kernel/BCKernel.cc \
    ../bctool-umount.cpp \
    ../bctool-reencrypt.cpp \
    ../bctool-rawlink.cpp \
    ../bctool-new.cpp \
    ../bctool-mount.cpp \
    ../bctool-link.cpp \
    ../bctool-hidden.cpp \
    ../bctool-benchmark.cpp \
    ../bctool.cpp \
    ../../spacemap/spacemap.c \
    ../../spacemap/extent.c \
    ../../container/isaac64.cc \
    additionalactionswidget.cpp \
    reencryptdialog.cpp \
    model/helper.cpp \
    selectcipherwidget.cpp \
    filesystemwidget.cpp \
    formatdialog.cpp \
    logdialog.cpp \
    model/logging.cpp \
    hiddenpartdialog.cpp \
    rawlinkdialog.cpp

HEADERS         += \
                ../../container/user.h \
                ../../kernel/BCKernel.h \
                ../version.h \
                ../../container/volume.h \
                ../../container/keygen.h \
                ../../container/container.h \
                ../../container/cipher.h \
                entity/containerdescriptor.h \
                ../../container/exception.h \
                model/containermodel.h \
                model/bcoperation.h \
                ../../disk/disk.h \
                ../../container/error.h \
                ../bctool.h \
                ../../container/isaac.h \
                passworddialog.h \
                mainwindow.h \
                maintoolbarwidget.h \
                containertreewidget.h \
                containerinfowidget.h \
                ../../keygens/kgsha/kgsha.h \
                ../../keygens/kgghost/kgghost.h \
                entity/settings.h \
                containerview.h \
                createdialog.h \
                settingsdialog.h \
                hotkeydialog.h \
                entity/hotkey.h \
                model/hotkeylistener.h \
                trayiconmanager.h \
                bcapplication.h \
                aboutdialog.h \
                model/devicemonitor.h \
    ../../spacemap/spacemap.h \
    ../../spacemap/extent.h \
    ../../spacemap/defs.h \
    ../../container/standard.h \
    ../../container/isaac64.h \
    additionalactionswidget.h \
    reencryptdialog.h \
    model/helper.h \
    selectcipherwidget.h \
    filesystemwidget.h \
    formatdialog.h \
    logdialog.h \
    model/logging.h \
    hiddenpartdialog.h \
    rawlinkdialog.h

FORMS           += mainwindow.ui \
                containerinfowidget.ui \
                maintoolbarwidget.ui \
                containertreewidget.ui \
                passworddialog.ui \
                containerview.ui \
                createdialog.ui \
                settingsdialog.ui \
                hotkeydialog.ui \
                aboutdialog.ui \
    additionalactionswidget.ui \
    reencryptdialog.ui \
    selectcipherwidget.ui \
    filesystemwidget.ui \
    formatdialog.ui \
    logdialog.ui \
    hiddenpartdialog.ui \
    rawlinkdialog.ui

RESOURCES       += \
                ./res/BCToolGUIResources.qrc

OTHER_FILES += \
    jbc-mime.xml \
    filetype-register.sh
