#ifndef HOTKEY_H
#define HOTKEY_H

#include <QKeySequence>

class BCHotkey
{
public:
    Qt::Key mainKey;
    Qt::KeyboardModifiers modifiers;

    BCHotkey()
    {
        this->mainKey = Qt::Key_E;
        this->modifiers = Qt::ControlModifier | Qt::ShiftModifier;
    }

    BCHotkey(Qt::Key mainKey, Qt::KeyboardModifiers modifiers) : mainKey(mainKey), modifiers(modifiers){}
    BCHotkey(const BCHotkey& a)
    {
        this->mainKey = a.mainKey;
        this->modifiers = a.modifiers;
    }

    QString ToString() const;
};

#endif // HOTKEY_H
