#ifndef FORMATDIALOG_H
#define FORMATDIALOG_H

#include <QDialog>

namespace Ui {
class FormatDialog;
}

class FormatDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit FormatDialog(QWidget *parent = 0);
    ~FormatDialog();

    QString GetFileSystem();

    bool HaveResult()
    {
        return this->haveResult_;
    }

    void ResetResult()
    {
        this->haveResult_ = false;
    }

    DialogCode GetResult()
    {
        return this->result_;
    }
    
private:
    Ui::FormatDialog *ui;
    bool haveResult_;
    DialogCode result_;

private slots:
    void OkButtonSlot();
    void CancelButtonSlot();
};

#endif // FORMATDIALOG_H
