#ifndef DEVICEMONITOR_H
#define DEVICEMONITOR_H

#include <QObject>

class BCDiskRef;

class DeviceMonitor : public QObject
{
    Q_OBJECT

public:
    void RaiseDiskEvent();
    void StartListening();
    bool IsListening()
    {
        return this->isListening;
    }
    void StopListening();

    static DeviceMonitor *GetInstance();

signals:
    void OnDiskEvent();

private:
    bool isListening;
    DeviceMonitor();

};

#endif // DEVICEMONITOR_H
